# Visualización de xG: Ligas europeas

Este proyecto es una página web interactiva diseñada para visualizar y analizar datos relacionados con las estadísticas de "Expected Goals" (xG) y goles anotados en las principales ligas de fútbol europeas. 

Los "Expected Goals" (xG) son una métrica avanzada utilizada en el análisis del fútbol para evaluar la calidad de las oportunidades de gol. Esta estadística asigna un valor numérico a cada disparo realizado durante un partido, basado en factores como la distancia a la portería, el ángulo de disparo, la posición de los defensores y el tipo de pase que condujo al disparo. El objetivo de los xG es proporcionar una medida más precisa del rendimiento ofensivo de un equipo o jugador, más allá de los goles marcados.

La página web emplea pestañas y un diseño dinámico para permitir a los usuarios explorar y analizar estos datos de manera interactiva, desglosándolos por temporadas y competiciones. Esto facilita una mejor comprensión de las tendencias y la efectividad en el ataque de los equipos a lo largo del tiempo.

![](fotos_readme/xG-1.png)
![](fotos_readme/expected-goals.png)


## Contenidos

- **index.html**: Página principal que define la estructura de la interfaz y enlaza los archivos de estilo y scripts.
- **main.css**: Archivo de hojas de estilo que contiene los estilos de la página.
- **understat.com.csv**: Archivo CSV que contiene los datos necesarios para generar los gráficos.
- **xg.js** y **xg2.js**: Archivos de JavaScript que deben procesar los datos del archivo CSV y generar los gráficos correspondientes.

## Características

1. **Pestañas interactivas**: 
   - `xG vs Goles anotados`: Comparación de los goles esperados frente a los goles reales.
   - `Goles anotados - xG`: Diferencia entre los goles esperados y los goles reales.

2. **Filtros personalizables**:
   - Selección de temporadas (2014-2015 hasta 2019-2020).
   - Selección de competiciones: La Liga, EPL, Bundesliga, Serie A, Ligue 1.

3. **Diseño responsivo y atractivo**:
   - Bordes redondeados, transiciones suaves, y estilo minimalista.
   - Código CSS para mejorar la experiencia de usuario.

4. **Integración con D3.js**:
   - Biblioteca para crear gráficos dinámicos.
   - Compatible con las pestañas activas para cargar datos correspondientes.

## Requisitos

Para ejecutar el proyecto necesitas:

- El archivo `index.html`.
- Los archivos `xg.js` y `xg2.js` en el mismo directorio que index.html.
- El archivo `understat.com.csv` en el mismo directorio que index.html.
- El archivo `main.css` en el mismo directorio que index.html.
- Conexión a internet para cargar la biblioteca D3.js desde [https://d3js.org/d3.v7.min.js](https://d3js.org/d3.v7.min.js).

## Bibliografía
- Datos : [https://www.kaggle.com/datasets/slehkyi/extended-football-stats-for-european-leagues-xg]

- Concepto xG: [https://statsbomb.com/es/metricas-de-futbol/que-es-el-xg/#:~:text=En%20t%C3%A9rminos%20b%C3%A1sicos%2C%20el%20xG,escala%20de%200%20a%201]
